gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.VBox A FontSelection is a widget that allows the user to select a font.

The FontSelection widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the widget to provide a box for selecting fonts.

Filters can be used to limit the fonts shown. There are 2 filters in the FontSelection - a base filter and a user filter. The base filter can not be changed by the user, so this can be used when the user must choose from the restricted set of fonts (e.g. for a terminal-type application you may want to force the user to select a fixed-width font).

The user filter can be changed or reset by the user, by using the 'Reset Filter' button or changing the options on the 'Filter' page of the widget.

- Constructor
  2.12.0.0
  The main way to construct a new FontSelection

  Creates a new FontSelection widget that allows the user to select from the available fonts.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("font")
  System.Obsolete
  Gdk.Font Get the that is currently selected. A Gdk font object representing the selected font, or null if no font is selected.
- Property
  2.12.0.0
  GLib.Property("font-name")
  System.String Manage the name of the font that is selected in this widget. The name of the currently selected font.

  If this property is used to alter the widget's font name to a font that could not be found, the widget will retain its original font selection. See also , which returns a value indicating whether or not the new font name was found.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("preview-text")
  System.String The text used to display a preview of the selected font. The text currently displaying the selected font.

  This property determines the exact string that is displayed in the 'preview area' of the FontSelection.

- Method
  2.12.0.0
  System.Boolean `` the name of the font to be selected Set the current font selection if the font was found and selected This can be used instead of setting property if you need to know whether or not was valid.